Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036345
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2017-06-26 17:352017-09-21 16:49
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revisionf9c0d1127795
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036345: Wrong quantity in inventory lines if "," is used as decimal separator and "." as grouping separator

DescriptionWrong quantity in inventory lines if "," is used as decimal separator and "." as grouping separator
Steps To ReproduceChange in Format.xml the decimal separator to "," and the grouping separator to "."
Compile

As group admin role:
   Create a physical inventory
   Add a line to it, selecting a stocked product
   Check the quantity from the m_storage_detail table is wrongly shown in Quantity count and Book Quantity fields

   Put the Quantity count field to 0 and try to process the inventory and check 'Insuffient stock' error is shown as the book quantity is higher than the available quantity
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036346 closedcollazoandy4 'insuffient_stock' message has wrong text: it should be Insufficient instead of Insuffient 
has duplicate defect 0036590 closedmarkmm82 Callouts retrieve wrong quantity when Format.xml file is set with too many decimals 

-  Notes
(0097739)
markmm82 (developer)
2017-06-28 14:46

Test Plan:
Change in Format.xml the decimal separator to "," and the grouping separator to "."
Compile

As group admin role:
   Create a physical inventory
   Add a line to it, selecting a stocked product
   Check the quantity from the m_storage_detail table is correctly shown in Quantity count and Book Quantity fields

   Put the Quantity count field to 0 and try to process the inventory and check process ends successfully
(0097797)
hgbot (developer)
2017-07-03 13:06

Repository: erp/devel/pi
Changeset: f9c0d1127795281dbb10c350a83f329746673559
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jun 28 12:09:31 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/f9c0d1127795281dbb10c350a83f329746673559 [^]

Fixes issue 36345: Wrong quantity in inventory lines if "," is used as decimal
separator and "." as grouping separator

Fixed number format for Quantity count and Book Quantity fields of Physical
Inventory lines, taking it value from a BigDecimal variable.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Inventory_Locator.java
---
(0097798)
hgbot (developer)
2017-07-03 13:06

Repository: erp/devel/pi
Changeset: 710409d5baad224e8a5a74fb3f3323f73d7f6f6a
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jul 03 12:33:57 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/710409d5baad224e8a5a74fb3f3323f73d7f6f6a [^]

Related to issue 36345: Code review improvements

Send qtyOrder also as BigDecimal.
Do not check if qtyOrder or qty are empty as they will never be empty.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Inventory_Locator.java
---
(0097799)
aferraz (developer)
2017-07-03 13:08

Code review + Testing OK
(0099226)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099227)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-26 17:35 ngarcia New Issue
2017-06-26 17:35 ngarcia Assigned To => Triage Finance
2017-06-26 17:35 ngarcia Modules => Core
2017-06-26 17:35 ngarcia Triggers an Emergency Pack => No
2017-06-26 17:37 ngarcia Steps to Reproduce Updated View Revisions
2017-06-26 17:37 ngarcia Issue Monitored: networkb
2017-06-26 17:41 ngarcia Relationship added related to 0036346
2017-06-26 18:59 aferraz Assigned To Triage Finance => markmm82
2017-06-26 22:16 markmm82 Status new => scheduled
2017-06-28 14:46 markmm82 Note Added: 0097739
2017-07-03 13:06 hgbot Checkin
2017-07-03 13:06 hgbot Note Added: 0097797
2017-07-03 13:06 hgbot Status scheduled => resolved
2017-07-03 13:06 hgbot Resolution open => fixed
2017-07-03 13:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f9c0d1127795281dbb10c350a83f329746673559 [^]
2017-07-03 13:06 hgbot Checkin
2017-07-03 13:06 hgbot Note Added: 0097798
2017-07-03 13:08 aferraz Review Assigned To => aferraz
2017-07-03 13:08 aferraz Note Added: 0097799
2017-07-03 13:08 aferraz Status resolved => closed
2017-07-03 13:08 aferraz Fixed in Version => 3.0PR17Q4
2017-08-22 14:48 aferraz Relationship added has duplicate 0036590
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099226
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099227


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker